Name:           gnustep-back    

Version:        0.24.0
Release:        2%{?dist}

Summary:        The GNUstep back-end library
License:        LGPLv3+ and GPLv3+

Group:          Development/Libraries
URL:            http://www.gnustep.org
Source:         ftp://ftp.gnustep.org/pub/gnustep/core/%{name}-%{version}.tar.gz

BuildRequires:  avahi-devel
BuildRequires:  gmp-devel
BuildRequires:  libxml2-devel
BuildRequires: libxslt-devel
BuildRequires:  gnutls-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  libffi-devel
Buildrequires:  libicu-devel
BuildRequires:  freetype-devel
BuildRequires:  libX11-devel
BuildRequires:  libXt-devel
BuildRequires:  libXext-devel
BuildRequires:  libXmu-devel
BuildRequires:  libICE-devel
BuildRequires:  libXft-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  cairo-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  gcc-objc
BuildRequires:  gnustep-make >= 2.4.4-9
BuildRequires:  gnustep-gui-devel >= 0.23.0 
BuildRequires:  gnustep-base >= 1.20 gnustep-base-devel >= 1.20
BuildRequires:  texinfo

Requires:       gnustep-gui

%description 
This is a back-end for the GNUstep GUI library which allows you to use
the GNUstep GUI library on an X Windows System (other back-ends will
be added later to allow you to use the GNUstep GUI Library in other windowing
environments). This package includes development headers too.

%prep
%setup -q

%build
%gnustep_configure
%gnustep_make
%gnustep_makedoc

%install 
%gnustep_install -n
%gnustep_installdoc

%files
%defattr(-,root,root)
%{_bindir}/gpbs
%{gnustep_bundledir}/libgnustep-back-*/
%{gnustep_fontdir}/
%{_mandir}/man1/gpbs.1.gz

%doc ANNOUNCE ChangeLog COPYING* NEWS README

%doc %{_datadir}/GNUstep/Documentation/Developer/Back/

%changelog
* Mon Jan 26 2015 David Tardon <dtardon@redhat.com> - 0.24.0-2
- rebuild for ICU 54.1

* Sun Oct  5 2014 Jochen Schmitt <Jochen herr-schmitt de> - 0.24.0-1
- New upstream release
- Add minssing BRs

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
- Rework for changed gnustep rpm macros
- Add bnustep-base as a BR

* Fri Apr  5 2013 Jochen Schmitt <Jochen herr-schmitt de> - 0.23.0-4
- Rework for changed gnustep rpm macros

* Thu Apr  4 2013 Jochen Schmitt <Jochen herr-schmitt de> - 0.23.0-3
- Rebuilt for new gnustep-make release

* Tue Apr  2 2013 Jochen Schmitt <Jochen herr-schmitt de> - 0.23.0-2
- Usage of gnustep rpm macros

* Sat Mar 30 2013 Jochen Schmitt <Jochen herr-schmitt de> - 0.23.0-1
- New upstream release
- Set BR gnustep-gui-devel >= 0.23.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov 30 2012 Jochen Schmitt <sochen herr-schmitt de> - 0.22.0-3
- Rebuilt for new release of gnustep-base and gnustep-gui
- Clean up the SPEC file

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb  8 2012 Jochen Schmitt <Jochen herr-schmitt de> 0.22.0-1
- New upstream release

* Wed Jan  4 2012 Jochen Schmitt <JOchen herr-schmitt de> 0.20.0-4
- Fix dependencies issues on rawhide (libobjc.so.3)

* Mon Oct 10 2011 Jochen Schmitt <JOchen herr-schmitt de> 0.20.0-3
- Rebuilt for new gnustep-base

* Thu Apr 28 2011 Jochen Schmitt <Jochen herr-schmitt de> 0.20.0-2
- Rebuild for new gnustep-base release

* Wed Apr 27 2011 Jochen Schmitt <Jochen herr-schmitt de> 0.20.0-1
- New upstream release

* Thu Feb 10 2011 Jochen Schmitt <Jochen herr-schmitt de> 0.18.0-7
- Rebuild agains gnustep snapshot

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 0.18.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 23 2011 Jochen Schmitt <Jochen herr-schmitt de> 0.18.0-5
- Rebuild for new libobjc

* Mon Jul 12 2010 Jochen Schmitt <Jochen herr-schmitt de> 0.18.0-4
- Untabify
- Mark %%{_datadir}/GNUstep/Documentation/Developer/Back/ as %%doc

* Tue Jul  6 2010 Jochen Schmitt <Jochen herr-schmitt de> 0.18.0-3
- Use of new gnustep parallel build feature

* Mon Jun 21 2010 Jochen Schmitt <Jochen herr-schmitt de> 0.18.0-2
- Add versioned BR. agains gnustep-base-devel
- Fix license tag

* Sun May 16 2010 Jochen Schmitt <Jochen herr-schmitt de> 0.18.0-1
- New upstream release

* Sun Apr 25 2010 Jochen Schmitt <Jochen herr-schmitt de> 0.16.0-3
- Fix typos
- Remove unnecessaries Documentation files

* Thu Oct 15 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.16.0-2
- Modified package on feedback of other GNUstep package reviews

* Thu Dec 11 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.14.0-1
- Initional Package
